/*
  KeePT - Plugin for KeePass 1.21
  Copyright (C) 2010 Nikolaus Hammler <niki@hammler.net>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef __KEEPT_HOTKEYS__
#define __KEEPT_HOTKEYS__

#include <windows.h>
#include "WinPT/src/resource.h"

#define WM_HKEYCNTRL_UPDATE		1
#define WM_HKEYCNTRL_UNREGISTER	0

#define NUM_HOTKEYS	9

typedef struct
{
	// name in HKCU/Software/WinPT
	const char regKey[16];
	// vKey, read out of registry
	char vKey;
	// ALT/SHIFT + CONTROL, predefined by WinPT
	const DWORD fsModifiers;
	// id of hotkey (installed by GlobalAddAtom)
	// if set, hotkey is installed
	int id;
	// which command to send to KeePass, predefined
	const DWORD dwCmd;
	// predefined
	const char guid[38];
} PTHOTKEY;

void UnregisterHotKeys(HWND hWnd);
bool UpdateHotKeys(HWND hWnd);
bool OnWmHotKey(int idHotKey, UINT fuModifiers, UINT uVirtKey);

#endif

